package com.kmall.admin.entity.mk.dist;

import java.io.Serializable;
import java.util.Date;

/**
 * 分销商，distributor实体
 * 表名 mk_dist
 *
 * @author huangyq
 * @email admin@qhdswl.com
 * @date 2019-04-09 18:04:47
 */
public class MkDistEntity implements Serializable {
    private static final long serialVersionUID = 1L;

    /**
     * 分销商id
     */
    private Integer distId;
    /**
     * 分销商名称
     */
    private String distName;
    /**
     * 分销商英文名
     */
    private String distEname;
    /**
     * 分销商标识
     */
    private String distFlag;
    /**
     * 所属三方商户
     */
    private Integer thirdMerchSn;
    /**
     * 所属供应商
     */
    private Integer supplierId;
    /**
     * 排序
     */
    private Integer sortOrder;
    /**
     * 是否有效,0:有效，1:无效
     */
    private String isValid;
    /**
     * 备注
     */
    private String note;
    /**
     * 创建人编号
     */
    private String createrSn;
    /**
     * 创建时间
     */
    private Date createTime;
    /**
     * 修改人编号
     */
    private String moderSn;
    /**
     * 修改时间
     */
    private Date modTime;
    /**
     * 时间戳
     */
    private Date tstm;
    private String thirdPartyMerchName;
    private String childSupplierName;
    private Integer storeId;
    private String storeName;

    public Integer getStoreId() {
        return storeId;
    }

    public void setStoreId(Integer storeId) {
        this.storeId = storeId;
    }

    public String getStoreName() {
        return storeName;
    }

    public void setStoreName(String storeName) {
        this.storeName = storeName;
    }

    public String getThirdPartyMerchName() {
        return thirdPartyMerchName;
    }

    public void setThirdPartyMerchName(String thirdPartyMerchName) {
        this.thirdPartyMerchName = thirdPartyMerchName;
    }

    public String getChildSupplierName() {
        return childSupplierName;
    }

    public void setChildSupplierName(String childSupplierName) {
        this.childSupplierName = childSupplierName;
    }

    /**
     * 设置：分销商id
     */
    public void setDistId(Integer distId) {
        this.distId = distId;
    }

    /**
     * 获取：分销商id
     */
    public Integer getDistId() {
        return distId;
    }
    /**
     * 设置：分销商名称
     */
    public void setDistName(String distName) {
        this.distName = distName;
    }

    /**
     * 获取：分销商名称
     */
    public String getDistName() {
        return distName;
    }
    /**
     * 设置：分销商英文名
     */
    public void setDistEname(String distEname) {
        this.distEname = distEname;
    }

    /**
     * 获取：分销商英文名
     */
    public String getDistEname() {
        return distEname;
    }
    /**
     * 设置：分销商标识
     */
    public void setDistFlag(String distFlag) {
        this.distFlag = distFlag;
    }

    /**
     * 获取：分销商标识
     */
    public String getDistFlag() {
        return distFlag;
    }
    /**
     * 设置：所属三方商户
     */
    public void setThirdMerchSn(Integer thirdMerchSn) {
        this.thirdMerchSn = thirdMerchSn;
    }

    /**
     * 获取：所属三方商户
     */
    public Integer getThirdMerchSn() {
        return thirdMerchSn;
    }
    /**
     * 设置：所属供应商
     */
    public void setSupplierId(Integer supplierId) {
        this.supplierId = supplierId;
    }

    /**
     * 获取：所属供应商
     */
    public Integer getSupplierId() {
        return supplierId;
    }
    /**
     * 设置：排序
     */
    public void setSortOrder(Integer sortOrder) {
        this.sortOrder = sortOrder;
    }

    /**
     * 获取：排序
     */
    public Integer getSortOrder() {
        return sortOrder;
    }
    /**
     * 设置：是否有效,0:有效，1:无效
     */
    public void setIsValid(String isValid) {
        this.isValid = isValid;
    }

    /**
     * 获取：是否有效,0:有效，1:无效
     */
    public String getIsValid() {
        return isValid;
    }
    /**
     * 设置：备注
     */
    public void setNote(String note) {
        this.note = note;
    }

    /**
     * 获取：备注
     */
    public String getNote() {
        return note;
    }
    /**
     * 设置：创建人编号
     */
    public void setCreaterSn(String createrSn) {
        this.createrSn = createrSn;
    }

    /**
     * 获取：创建人编号
     */
    public String getCreaterSn() {
        return createrSn;
    }
    /**
     * 设置：创建时间
     */
    public void setCreateTime(Date createTime) {
        this.createTime = createTime;
    }

    /**
     * 获取：创建时间
     */
    public Date getCreateTime() {
        return createTime;
    }
    /**
     * 设置：修改人编号
     */
    public void setModerSn(String moderSn) {
        this.moderSn = moderSn;
    }

    /**
     * 获取：修改人编号
     */
    public String getModerSn() {
        return moderSn;
    }
    /**
     * 设置：修改时间
     */
    public void setModTime(Date modTime) {
        this.modTime = modTime;
    }

    /**
     * 获取：修改时间
     */
    public Date getModTime() {
        return modTime;
    }
    /**
     * 设置：时间戳
     */
    public void setTstm(Date tstm) {
        this.tstm = tstm;
    }

    /**
     * 获取：时间戳
     */
    public Date getTstm() {
        return tstm;
    }
}
